package com.example.bluetoothgateway;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Activity;
import android.bluetooth.BluetoothAdapter;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;

import com.example.bluetoothgateway.base.BaseActivity;
import com.example.bluetoothgateway.broadcastreceiver.ScreenBroadcastReceiver;

public class Main2Activity extends BaseActivity {
    private BluetoothAdapter bluetoothAdapter;
    private static final int REQUEST_ENABLE_BT = 1;

    private ScreenBroadcastReceiver screenBroadcastReceiver;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main2);


        brightenTheScreenBroadcastReceiver();


        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {

                Intent intent = new Intent();
                intent.setAction("com.wdkl.app.ncs.callingbed2");
                sendBroadcast(intent);
            }
        }, 1000);


//        this.bluetoothAdapter = BluetoothAdapter.getDefaultAdapter();
//        if (!bluetoothAdapter.isEnabled()) {
//            if (!bluetoothAdapter.isEnabled()) {
//                Intent enableBtIntent = new Intent(BluetoothAdapter.ACTION_REQUEST_ENABLE);
//                startActivityForResult(enableBtIntent, REQUEST_ENABLE_BT);
//            }
//        }

    }

    //亮屏广播
    protected void brightenTheScreenBroadcastReceiver() {
        //动态注册广播接收器
        screenBroadcastReceiver = new ScreenBroadcastReceiver();
        IntentFilter intentFilter = new IntentFilter();

//         intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        intentFilter.addAction("com.wdkl.app.ncs.callingbed2");

//         screenIntent.`package` = "com.wdkl.app.ncs.callingbed2"
        registerReceiver(screenBroadcastReceiver, intentFilter);

    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        // User chose not to enable Bluetooth.
        if (requestCode == REQUEST_ENABLE_BT && resultCode == Activity.RESULT_CANCELED) {
            finish();
            return;
        } else {
            Log.e("Main2Activity", "onActivityResult....");

        }
        super.onActivityResult(requestCode, resultCode, data);
    }


    @Override
    protected void Permission() {

    }
}
