package com.example.bluetoothgateway.utils;

        import android.content.Context;
        import android.content.SharedPreferences;

        import com.example.bluetoothgateway.MyApplication;

public class NetFunctionConfig {

    private static final String agreementPostion_KEY = "agreementPostion_KEY";
    private static final String IP_KEY = "IP_KEY";
    private static final String Port_KEY = "Port_KEY";

    public static void setIP(String IP) {
        getEditor().putString(IP_KEY, IP).apply();
    }

    public static String getIp() {
        return getSP().getString(IP_KEY, null);
    }

    public static void setPort(int Port){
        getEditor().putInt(Port_KEY, Port).apply();
    }
    public static int getPort(){
        return getSP().getInt(Port_KEY,0);
    }

    private static SharedPreferences getSP() {
        return MyApplication.getInstance().getSharedPreferences(agreementPostion_KEY, Context.MODE_PRIVATE);
    }

    private static SharedPreferences.Editor getEditor() {
        return getSP().edit();
    }

    private static void clear() {
        getEditor().clear().apply();
    }

}
